Bug 330101 - Rhythmbox doesn't actually remove songs from ipod shuffle
Rhythmbox doesn't actually remove songs from ipod shuffle
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-12 17:10 EDT by Jesse Keating
Modified: 2013-01-09 21:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 22:08:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-10-12 17:10:01 EDT
I've put a bunch of music on my shuffle via rhythmbox, verified that the shuffle
would play it by ejecting and playing it.  Then I wanted to clear the music off,
so in rhythmbox I selected all the music on the shuffle and told it to move the
music to trash (my only delete option).  All the music "went away" according to
rhythmbox, and the shuffle itself gives the flashing lights as if there were no
music on it, however the used disk space doesn't change and I'd quickly be
unable to put new music on the device even though it thinks there is none.
Comment 1 Bastien Nocera 2007-10-12 22:08:12 EDT
Yep, you need to empty the trash before ejecting the device to get your data
back. See:
http://bugzilla.gnome.org/show_bug.cgi?id=346434
Comment 2 Bastien Nocera 2007-10-12 22:21:47 EDT
I've attached a patch there. Testing it would help. Waiting for feedback from
upstream now.
Comment 3 Jesse Keating 2007-10-13 09:48:33 EDT
I'll test when I can this weekend, I think I have an ipod somewhere around here.
 THe shuffle is back at the office (whoops).

Note You need to log in before you can comment on or make changes to this bug.